Gestionnaires de notifications
GET https://be-transfer.com/api/notification-handlers/
curl --request GET \
--url 'https://be-transfer.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://be-transfer.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir les résultats. La valeur par défaut est 1. |
| results_per_page | Facultatif Entier | Le nombre de résultats souhaités par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. La valeur par défaut est 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-19 00:12:35"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://be-transfer.com/api/notification-handlers?&page=1",
"last": "https://be-transfer.com/api/notification-handlers?&page=1",
"next": null,
"prev": null,
"self": "https://be-transfer.com/api/notification-handlers?&page=1"
}
}
GET https://be-transfer.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://be-transfer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://be-transfer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-19 00:12:35"
}
}
POST https://be-transfer.com/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne | - |
| type | Requis Chaîne | Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x |
| Facultatif Chaîne | Disponible lorsque : type = email Email | |
| webhook | Facultatif Chaîne | Disponible lorsque : type = webhook Webhook URL |
| slack | Facultatif Chaîne | Disponible lorsque : type = slack Slack webhook URL |
| discord | Facultatif Chaîne | Disponible lorsque : type = discord Discord webhook URL |
| telegram | Facultatif Chaîne | Disponible lorsque : type = telegram Telegram API Token |
| telegram_chat_id | Facultatif Chaîne | Disponible lorsque : type = telegram Telegram Chat ID |
| x_consumer_key | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| x_consumer_secret | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| x_access_token | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| x_access_token_secret | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| twilio | Facultatif Chaîne | Disponible lorsque : type = twilio Phone number |
| twilio_call | Facultatif Chaîne | Disponible lorsque : type = twilio_call Phone number |
| Facultatif Chaîne | Disponible lorsque : type = whatsapp Phone number |
curl --request POST \
--url 'https://be-transfer.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://be-transfer.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://be-transfer.com/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Facultatif Chaîne | - |
| type | Facultatif Chaîne | Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x |
| Facultatif Chaîne | Disponible lorsque : type = email Email | |
| webhook | Facultatif Chaîne | Disponible lorsque : type = webhook Webhook URL |
| slack | Facultatif Chaîne | Disponible lorsque : type = slack Slack webhook URL |
| discord | Facultatif Chaîne | Disponible lorsque : type = discord Discord webhook URL |
| telegram | Facultatif Chaîne | Disponible lorsque : type = telegram Telegram API Token |
| telegram_chat_id | Facultatif Chaîne | Disponible lorsque : type = telegram Telegram Chat ID |
| x_consumer_key | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| x_consumer_secret | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| x_access_token | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| x_access_token_secret | Facultatif Chaîne | Disponible lorsque : type = x Telegram API Token |
| twilio | Facultatif Chaîne | Disponible lorsque : type = twilio Phone number |
| twilio_call | Facultatif Chaîne | Disponible lorsque : type = twilio_call Phone number |
| Facultatif Chaîne | Disponible lorsque : type = whatsapp Phone number | |
| is_enabled | Facultatif Booléen | - |
curl --request POST \
--url 'https://be-transfer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://be-transfer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://be-transfer.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://be-transfer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://be-transfer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \